Debian Bug report logs - #629358
xterm with -h or -v doesn't quit immediately if -h or -v is not the first option

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Sun, 5 Jun 2011 21:18:29 UTC

Severity: normal

Found in version xterm/270-1

Fixed in version xterm/271-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#629358; Package xterm. (Sun, 05 Jun 2011 21:18:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Jun 2011 21:18:33 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm with -h or -v doesn't quit immediately if -h or -v is not the first option
Date: Sun, 5 Jun 2011 23:14:14 +0200
Package: xterm
Version: 270-1
Severity: normal

If one uses the -h or -v option, but not as the first option, xterm
doesn't quit immediately.

One may want to use a wrapper in order to run xterm with user-default
options, e.g. something like

  /usr/bin/xterm -xrm ... "$@"

In such a case "xterm -v" no longer works as expected.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                         2.13-4     Embedded GNU C Library: Shared lib
ii  libfontconfig1                2.8.0-2.2  generic font configuration library
ii  libice6                       2:1.0.7-1  X11 Inter-Client Exchange library
ii  libncurses5                   5.9-1      shared libraries for terminal hand
ii  libutempter0                  1.1.5-4    A privileged helper for utmp/wtmp 
ii  libx11-6                      2:1.4.3-1  X11 client-side library
ii  libxaw7                       2:1.0.9-2  X11 Athena Widget library
ii  libxft2                       2.2.0-2    FreeType-based font drawing librar
ii  libxmu6                       2:1.1.0-2  X11 miscellaneous utility library
ii  libxt6                        1:1.1.1-1  X11 toolkit intrinsics library
ii  xbitmaps                      1.1.1-1    Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.6+2      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#629358; Package xterm. (Sun, 05 Jun 2011 21:58:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Jun 2011 21:58:06 GMT) Full text and rfc822 format available.

Message #10 received at 629358@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 629358@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#629358: xterm with -h or -v doesn't quit immediately if -h or -v is not the first option
Date: Sun, 5 Jun 2011 17:36:46 -0400 (EDT)
On Sun, 5 Jun 2011, Vincent Lefevre wrote:

> Package: xterm
> Version: 270-1
> Severity: normal
>
> If one uses the -h or -v option, but not as the first option, xterm
> doesn't quit immediately.

fwiw, the manpage alludes to this (it doesn't say that xterm exits after
doing either of those operations).  The original change that we're talking
about was Debian #110226

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#629358; Package xterm. (Sun, 05 Jun 2011 21:58:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Jun 2011 21:58:08 GMT) Full text and rfc822 format available.

Message #15 received at 629358@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 629358@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#629358: xterm with -h or -v doesn't quit immediately if -h or -v is not the first option
Date: Sun, 5 Jun 2011 23:53:33 +0200
On 2011-06-05 17:36:46 -0400, Thomas Dickey wrote:
> fwiw, the manpage alludes to this (it doesn't say that xterm exits after
> doing either of those operations).  The original change that we're talking
> about was Debian #110226

It doesn't say that xterm exits after doing either of those operations,
but what is really unintuitive is that the behavior changes whether
-h / -v is the first argument or not.

Conventional utilities don't have such a problem. For instance, I can
run "rm --version" even though rm is aliased to "rm -i" here.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#629358; Package xterm. (Sun, 05 Jun 2011 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Jun 2011 23:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 629358@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 629358@bugs.debian.org
Cc: debian-bugs-dist@lists.debian.org
Subject: Re: Bug#629358: xterm with -h or -v doesn't quit immediately if -h or -v is not the first option
Date: Sun, 5 Jun 2011 19:47:52 -0400 (EDT)
On Sun, 5 Jun 2011, Vincent Lefevre wrote:

> On 2011-06-05 17:36:46 -0400, Thomas Dickey wrote:
>> fwiw, the manpage alludes to this (it doesn't say that xterm exits after
>> doing either of those operations).  The original change that we're talking
>> about was Debian #110226
>
> It doesn't say that xterm exits after doing either of those operations,
> but what is really unintuitive is that the behavior changes whether
> -h / -v is the first argument or not.

agreed.  What I missed in the previous change was the end of the 
if-then-else chain, which reset the 'quit' variable.  It's been too long 
ago to recall why I thought it was a good idea, and it's a simple change 
to force a quit as expected.

(I'll update the manpage, too ;-)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#629358; Package xterm. (Sat, 16 Jul 2011 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 16 Jul 2011 14:57:03 GMT) Full text and rfc822 format available.

Message #25 received at 629358@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 629358@bugs.debian.org
Cc: 629358-submitter@bugs.debian.org
Subject: re: #629358 xterm with -h or -v doesn't quit immediately if -h or -v is not the first
Date: Sat, 16 Jul 2011 10:52:00 -0400
[Message part 1 (text/plain, inline)]
This is fixed in #271.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#629358. (Sat, 16 Jul 2011 14:57:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 23 Jul 2011 13:36:17 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Sat, 23 Jul 2011 13:36:17 GMT) Full text and rfc822 format available.

Message #33 received at 629358-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 629358-close@bugs.debian.org
Subject: Bug#629358: fixed in xterm 271-1
Date: Sat, 23 Jul 2011 13:35:14 +0000
Source: xterm
Source-Version: 271-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_271-1.diff.gz
  to main/x/xterm/xterm_271-1.diff.gz
xterm_271-1.dsc
  to main/x/xterm/xterm_271-1.dsc
xterm_271-1_amd64.deb
  to main/x/xterm/xterm_271-1_amd64.deb
xterm_271.orig.tar.gz
  to main/x/xterm/xterm_271.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629358@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 23 Jul 2011 13:55:37 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 271-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 629358
Changes: 
 xterm (271-1) unstable; urgency=low
 .
   * New upstream release
     - amend change for Debian #110226 so that "-h" or "-v" options cause an
       exit, rather than simply printing to stdout while the window is
       displayed (closes: #629358)
     - handle special-case of KeyPress translated to popup-menu action
       (LP: #756273)
Checksums-Sha1: 
 c0e462a8d576a347ecec41cb8b1a840c1ccbd0cb 1994 xterm_271-1.dsc
 53586916147cb88e71b3d620a7d1b80f1696749b 973266 xterm_271.orig.tar.gz
 08bcc7cc85e4a8aae8312e42573d10aa9f5f5c69 89414 xterm_271-1.diff.gz
 ce377827efa6afc6b21801e9a6c0b95d4293b979 578538 xterm_271-1_amd64.deb
Checksums-Sha256: 
 67b9751fa94c9913905220b828c1a4b4fa2f962623a2ed9e2e25f54ca19ef07e 1994 xterm_271-1.dsc
 e9baf3f36e1eb0da7b7b46ebe4fad3fa79f71e83885d77621de969888cc41f11 973266 xterm_271.orig.tar.gz
 92831313148ce3a2329c175eda34aeed181c1b0c684960176b0234e605eb3191 89414 xterm_271-1.diff.gz
 5620ce8a6456408cef1e5163797afe32f895c11ed363f5d5e83b30ba0ffc0d4b 578538 xterm_271-1_amd64.deb
Files: 
 59e25bd2391fe59efb83a79901e48bdf 1994 x11 optional xterm_271-1.dsc
 e07b05bd3d3a666a8cf086fcc8d227f3 973266 x11 optional xterm_271.orig.tar.gz
 96f58d7a8a1f265e42ee05a95e110763 89414 x11 optional xterm_271-1.diff.gz
 7a002d9e90ba367802753ecb4158d0e0 578538 x11 optional xterm_271-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJOKsnJAAoJEDEBgAUJBeQMWNkQAIpDTJ+EGKHx8S9dhLDyqBX8
yMnvkjY2sv6ZXB+HC9FlEABvPj3FeAn+Y4wo40KsQLOP3b1ugZznvt7HZD0d8aKx
S/s24Tqk3PFBSpA4uwFT65Pm8jnqsdCWW2fpHrxoiXFIWz8//CvruKUjYJi5EllQ
zarJuNnQ9gbLgihwITQ55ilknIVAJN2EnnoHVcRYzqy7EwDHuu/xOJzM1sQu6Hfc
nEPnRzOmtUgNXiDAzMoMJIYcTQP8ibIAuUGhoJskOyQYM5asnUAWok7yfXzMf1f+
UFuAjF8cRDDPKT93ymR6/JTsA4o0g6pR0WFgw0bYVByz/h8SQvShpwa1SJ5O3pqd
vGUnLV5Z/VzGLEgYWC48ly6h1Iz0ngchd4CZ6s9QkLZjWGBHFX9mI3K7SkK+lIrT
mYqzsmAiZEkL1A+kxezjBLxNl5Q0U37oyRQDS76A/6PGCO551SwSw+Qa7DtF7CKT
U94BExYOCsGEYyQxvB1VXp2x1sHvQNtZflQhe3hX7OHeZfV4JLrzg8qHWjioZ/gt
YdTTLIo6AZRuIkDtPqpiNIpNmt6TpGQd2jxoBBdMlPZXQydVIVLT8hmCjhXpftyH
+b1LRFORNPZ3aH2krZHzvMNjwIFFSokUQVa9o4cjf2cCSXGIrXgWvgnybPbAyuxm
FyIZCXPAGcCtYvorgmgx
=JuYY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Aug 2011 07:35:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:11:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.